From d913a66cc7a599a7fd3c5abcc2f6c9b916291124 Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Aug 15 2026 17:11:01 +0000
Subject: [PATCH 9/12] libre/iceweasel: Build with vendored libevent


With system libevent, the build fails with the following error:
> /build/iceweasel/src/firefox-153.0/ipc/chromium/src/base/message_pump_libevent.cc:42:1: error: use of undeclared identifier 'EVENT__SIZEOF_TIME_T'

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index d6667ee..3c2973e 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -677,7 +677,6 @@ END
 ac_add_options --with-system-ffi
 ac_add_options --with-system-icu
 ac_add_options --with-system-jpeg
-ac_add_options --with-system-libevent
 ac_add_options --with-system-libvpx
 ac_add_options --with-system-nspr
 ac_add_options --with-system-nss

